Debian Bug report logs - #693221
Please add multiarch meta-data to check

version graph

Package: check; Maintainer for check is Robert Lemmen <robertle@semistable.com>; Source for check is src:check.

Reported by: Wookey <wookey@wookware.org>

Date: Wed, 14 Nov 2012 12:36:02 UTC

Severity: normal

Tags: patch

Found in version check/0.9.8-2

Fixed in version check/0.9.10-1

Done: Robert Lemmen <robertle@semistable.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert Lemmen <robertle@semistable.com>:
Bug#693221; Package check. (Wed, 14 Nov 2012 12:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Robert Lemmen <robertle@semistable.com>. (Wed, 14 Nov 2012 12:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please add multiarch meta-data to check
Date: Wed, 14 Nov 2012 12:33:23 +0000
[Message part 1 (text/plain, inline)]
Package: check
Version: 0.9.8-2
Severity: normal
Tags: patch

We are working on getting multiarch metadata correct throught the
archive. This package needs to be marked 'Multi-Arch: foreign' for
dependencies and build-depencies to work correctly in all cases.

Any package 'X' build-depending on check cannot be cross-built
because apt-get build-dep -a<arch> cannot satisfy X's
build-dependencies until

Multi-Arch: foreign

is added to check's control file, to indicate that check from
any available arch will satisfy the dependency. (Is is actually the
case that check will always work correctly across architectures - it
looked like it to me but I am not familiar with its operation, so
maybe there could be problems? It worked OK in local tests for the
arm64 bootstrap).

There are 114 packages which can't be cross-built until this change 
is made. 

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[check-0.9.8multiarch.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Robert Lemmen <robertle@semistable.com>:
Bug#693221; Package check. (Thu, 07 Feb 2013 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Robert Lemmen <robertle@semistable.com>. (Thu, 07 Feb 2013 17:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 693221@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Wookey <wookey@wookware.org>, 693221@bugs.debian.org
Subject: Re: Bug#693221: Please add multiarch meta-data to check
Date: Thu, 7 Feb 2013 17:00:58 +0000
On Wed, Nov 14, 2012 at 12:33:23PM +0000, Wookey wrote:
> We are working on getting multiarch metadata correct throught the
> archive. This package needs to be marked 'Multi-Arch: foreign' for
> dependencies and build-depencies to work correctly in all cases.

As discussed in
https://bugs.launchpad.net/ubuntu/+source/check/+bug/1101069, since
check is really a development library package, it needs to be
Multi-Arch: same, not foreign.  Here's a patch for that.

  * Convert to Multi-Arch: same (closes: #693221).
  * Remove obsolete debian/check.files (since we no longer use
    dh_movefiles), and remove a related hack in debian/rules.

reverted:
--- check-0.9.8/debian/check.files
+++ check-0.9.8.orig/debian/check.files
@@ -1,5 +0,0 @@
-usr/include/check.h
-usr/lib/libcheck.a
-usr/share/aclocal/check.m4
-usr/share/doc/check
-usr/lib/pkgconfig/check.pc
diff -u check-0.9.8/debian/control check-0.9.8/debian/control
--- check-0.9.8/debian/control
+++ check-0.9.8/debian/control
@@ -2,13 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Robert Lemmen <robertle@semistable.com>
-Build-Depends: debhelper (>= 7.0.0)
+Build-Depends: debhelper (>= 8.1.3~)
 Build-Conflicts: texinfo
 Standards-Version: 3.8.3
 
 Package: check
 Architecture: any
+Multi-Arch: same
 Homepage: http://check.sourceforge.net/
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Description: unit test framework for C
  Check features a simple interface for defining unit tests, putting 
reverted:
--- check-0.9.8/debian/check.dirs
+++ check-0.9.8.orig/debian/check.dirs
@@ -1,5 +0,0 @@
-usr/lib
-usr/lib/pkgconfig
-usr/include
-usr/share/aclocal
-usr/share/doc/check
diff -u check-0.9.8/debian/rules check-0.9.8/debian/rules
--- check-0.9.8/debian/rules
+++ check-0.9.8/debian/rules
@@ -5,16 +5,22 @@
 
 export DESTDIR=$(shell pwd)/debian/check
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	 ./configure --prefix=/usr --infodir=/usr/share/info --enable-plain-docdir
+	 ./configure --prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		--infodir=/usr/share/info --enable-plain-docdir
 	touch configure-stamp
 
 configure-pic: configure-stamp-pic
 configure-stamp-pic:
 	dh_testdir
-	CFLAGS="-g -O2 -fPIC" ./configure --prefix=/usr --infodir=/usr/share/info \
+	CFLAGS="-g -O2 -fPIC" ./configure --prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		--infodir=/usr/share/info \
 		--enable-plain-docdir
 	touch configure-stamp-pic
 
@@ -37,8 +43,6 @@
 	rm -f build-stamp configure-stamp build-stamp-pic configure-stamp-pic
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f src/libcheck_pic.a
-	# hack!
-	rm -f debian/files
 	dh_clean
 
 install: build
@@ -55,7 +59,8 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	cp src/libcheck_pic.a debian/check/usr/lib/
+	mkdir -p debian/check/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp src/libcheck_pic.a debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/
 	
 binary-arch: install-pic install
 	dh_testdir
@@ -67,9 +72,9 @@
 	dh_compress -XMakefile
 	# fix the setup
 	rm -f debian/check/usr/share/doc/check/ChangeLog.gz
-	rm -f debian/check/usr/lib/libcheck.so.*
-	rm -f debian/check/usr/lib/libcheck.so
-	rm -f debian/check/usr/lib/libcheck.la
+	rm -f debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck.so.*
+	rm -f debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck.so
+	rm -f debian/check/usr/lib/$(DEB_HOST_MULTIARCH)/libcheck.la
 	rm -f debian/check/usr/share/info/dir.gz
 	rm -rf debian/check/usr/share/doc/check/example
 	dh_link

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Reply sent to Robert Lemmen <robertle@semistable.com>:
You have taken responsibility. (Fri, 07 Jun 2013 11:21:04 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Fri, 07 Jun 2013 11:21:04 GMT) Full text and rfc822 format available.

Message #15 received at 693221-close@bugs.debian.org (full text, mbox):

From: Robert Lemmen <robertle@semistable.com>
To: 693221-close@bugs.debian.org
Subject: Bug#693221: fixed in check 0.9.10-1
Date: Fri, 07 Jun 2013 11:18:17 +0000
Source: check
Source-Version: 0.9.10-1

We believe that the bug you reported is fixed in the latest version of
check, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693221@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Lemmen <robertle@semistable.com> (supplier of updated check package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 07 Jun 2013 11:52:15 +0100
Source: check
Binary: check
Architecture: source amd64
Version: 0.9.10-1
Distribution: unstable
Urgency: low
Maintainer: Robert Lemmen <robertle@semistable.com>
Changed-By: Robert Lemmen <robertle@semistable.com>
Description: 
 check      - unit test framework for C
Closes: 693221 709969
Changes: 
 check (0.9.10-1) unstable; urgency=low
 .
   * Add Thomas Bechtold to uploades, he also did the following changes:
   * New upstream release (closes: #709969)
   * Convert to Multi-Arch: same (thanks to Colin Watson) (closes: #693221).
   * Remove obsolete debian/check.files (since we no longer use
     dh_movefiles), and remove a related hack in debian/rules (thanks to Colin
     Watson).
   * debian/control:
     - Bump Standards-Version to 3.9.4.
     - Remove Build-Conflicts with textinfo.
Checksums-Sha1: 
 6ea851cb0f47bfdca34059433b6ac7203cdcade7 1078 check_0.9.10-1.dsc
 56da5197bcff07d42da18f9ed1d55bff638a6896 650135 check_0.9.10.orig.tar.gz
 8b034d93fbedaa7fe3a8fc6b196d33495d67c184 5378 check_0.9.10-1.diff.gz
 ce7ac263dbe602d4ad67d63f15de177977f2d0aa 146356 check_0.9.10-1_amd64.deb
Checksums-Sha256: 
 e356e09893cfa54579b82d9cbd8df1bb724ae46234e073779c12cb59a4809e6b 1078 check_0.9.10-1.dsc
 823819235753e94ae0bcab3c46cc209de166c32ff2f52cefe120597db4403e6d 650135 check_0.9.10.orig.tar.gz
 fd398e8f069bb8b0bc9b8388a3434b0a0da595d268a0e39acbc3c89efd5bee72 5378 check_0.9.10-1.diff.gz
 711716aecf4ce41251011273863051f39deb6d614a99b87703f3d0ab92e0eb3c 146356 check_0.9.10-1_amd64.deb
Files: 
 7ff84f2102af706277648ab8463b9a65 1078 devel optional check_0.9.10-1.dsc
 6d10a8efb9a683467b92b3bce97aeb30 650135 devel optional check_0.9.10.orig.tar.gz
 7a4c6676fff34127696c07db341c9924 5378 devel optional check_0.9.10-1.diff.gz
 8de96ef0e81847418f87c33c23afb4e3 146356 devel optional check_0.9.10-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGxvfsACgkQS6AOchRbaWZCzgCfS+sZRO9hn2qfPB1rY9Thcr3l
W+4AnjZJjlkSnMtgUhlECtefyg8/DghH
=xNk1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Jul 2013 07:29:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:13:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.